LibOFX: cmdline_parser_params Struct Reference

LibOFX

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
cmdline_parser_params Struct Reference

The additional parameters to pass to parser functions. More...

## Data Fields
int | override
| whether to override possibly already present options (default 0)
int | initialize
| whether to initialize the option structure gengetopt_args_info (default 1)
int | check_required
| whether to check that all required options were provided (default 1)
int | check_ambiguity
| whether to check for options already specified in the option structure gengetopt_args_info (default 0)
int | print_errors
| whether getopt_long should print an error message for a bad option (default 1)

## Detailed Description

The additional parameters to pass to parser functions.

Definition at line 79 of file cmdline.h.

The documentation for this struct was generated from the following file:

- cmdline.h